# module JSON::Ext::Generator::GeneratorMethods::Array

### Public Instance Methods

to_json(state = nil) click to toggle source

Returns a `JSON` string containing a `JSON` array, that is generated from this `Array` instance. state is a JSON::State object, that can also be used to configure the produced `JSON` string output further.

    static VALUE mArray_to_json(int argc, VALUE *argv, VALUE self) {
        GENERATE_JSON(array);
    }